Subject: bug#31546: 27.0.50; macOS child frames with no mode-line mouse click problem

From: Aaron Jensen <[email-masked]>
Date: Sat, 26 May 2018 10:02:52 -0700

On Sat, May 26, 2018 at 9:38 AM Alan Third <[email-masked]> wrote:
> Resizing the font has no effect on the area that you have to click to
> see this happen, so it’s nothing to do with clicking on the last line
> of the window, or anything to do with the modeline or the minibuffer,
> as they change size with the font.

This isn't the behavior I see. The area is roughly 30px tall when I do:

(set-face-attribute 'default nil :height 300)

And roughly 10px tall when I do:

(set-face-attribute 'default nil :height 100)

> I think it’s the height of the titlebar that’s defining the area. I’ve
> no idea why that would be an issue, though, or what no-accept-focus
> has to do with it. I also can’t find any hard‐coded references to the
> titlebar height, so I suppose we need to add the titlebar height
> somewhere...

It reproduces with (undecorated . t), which does not have a title bar, so I
don't know if the title bar height is the problem.

By the way, are you testing with my patch or without? My patch may not fix
the ultimate root cause, but I'm not sure if it's controversial. The
conditions for deciding whether or not to count the mode line should
probably take into account whether or not there is a mode-line, no?